## com.bbn.openmap.omGraphics.grid
Class ColoredShadingColors.ColorHelper

    java.lang.Object
      com.bbn.openmap.omGraphics.grid.ColoredShadingColors.ColorHelper

Enclosing class:
  ColoredShadingColors

public static class ColoredShadingColors.ColorHelper
extends java.lang.Object

A helper class that associates an int color value with an elevation. Elevation has to be in radians.

Field Summary
`double` `height` height value in radians.
`int` `value` Integer ARGB color value.

Constructor Summary
`ColoredShadingColors.ColorHelper(double radianHeight, int val)` Create a ColorHelper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### height

    public double height

  height value in radians.

### value

    public int value

  Integer ARGB color value.

Constructor Detail

### ColoredShadingColors.ColorHelper

    public ColoredShadingColors.ColorHelper(double radianHeight,
                                            int val)

  Create a ColorHelper.

Parameters:
  `radianHeight` - minimum elevation for color use, in radians.
  `val` - integer ARGB color value

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details